»Compatibility

»Consul

Below are the supported Consul versions with compatible Consul-Terraform-Sync versions. The latest Consul-Terraform-Sync binary targets supporting the latest patch version of the three most recent Consul minor versions.

Consul VersionCompatible Consul-Terraform-Sync Version
Latest patch version of 1.100.1 - 0.2
Latest patch version of 1.90.1 - 0.2
Latest patch version of 1.80.1 - 0.2

»Terraform

Consul-Terraform-Sync is compatible with the following Terraform OSS versions:

Consul-Terraform-SyncCompatible Terraform Version
0.20.13 - 1.0
0.10.13 - 0.14